Vector::BLF::LinMessageDescriptor(3)

NAME
Vector::BLF::LinMessageDescriptor

SYNOPSIS

#include <LinMessageDescriptor.h>

Inherits Vector::BLF::LinSynchFieldEvent.

Inherited by Vector::BLF::LinDatabyteTimestampEvent, and Vector::BLF::LinSendError2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint16_t supplierId {}
LIN Sub-Identifier - Supplier ID.
uint16_t messageId {}
LIN Sub-Identifier - Message ID (16 bits).
uint8_t nad {}
LIN Sub-Identifier - NAD.
uint8_t id {}
LIN ID.
uint8_t dlc {}
LIN DLC.
uint8_t checksumModel {}
LIN checksum model.
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t synchBreakLength {}
Sync Break Length in ns.
uint64_t synchDelLength {}
Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

Detailed Description

Common header of LIN bus events containing LIN header data

Member Function Documentation

  uint32_t Vector::BLF::LinMessageDescriptor::calculateObjectSize () const [override], [virtual]

Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

  void Vector::BLF::LinMessageDescriptor::read (AbstractFile & is) [override], [virtual]

Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

  void Vector::BLF::LinMessageDescriptor::write (AbstractFile & os) [override], [virtual]

Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

Member Data Documentation

  uint8_t Vector::BLF::LinMessageDescriptor::checksumModel {}

LIN checksum model. Expected checksum model of checksum value. Only valid if objectVersion >= 1.

  uint8_t Vector::BLF::LinMessageDescriptor::dlc {}

LIN DLC. Frame length [in bytes]

  uint8_t Vector::BLF::LinMessageDescriptor::id {}

LIN ID. Frame identifier (6-bit)

  uint16_t Vector::BLF::LinMessageDescriptor::messageId {}

LIN Sub-Identifier - Message ID (16 bits). LIN protocol 2.0: Message identifier (16-bit) of the frame as it is specified in LDF in the list of transmitter’s configurable frames.

LIN protocol 2.1: Position index of the frame as it is specified in LDF in the list of transmitter’s configurable frames.

  uint8_t Vector::BLF::LinMessageDescriptor::nad {}

LIN Sub-Identifier - NAD. Configured Node Address of the frame’s transmitter as it is specified in LDF. LIN protocol 2.0 and higher

  uint16_t Vector::BLF::LinMessageDescriptor::supplierId {}

LIN Sub-Identifier - Supplier ID. Supplier identifier of the frame’s transmitter as it is specified in LDF. LIN protocol 2.0 and higher

Author

Generated automatically by Doxygen for Vector BLF from the source code.